# Ivy Library
IVYL is a static library for RoR2 modding made to support high-quality runtime mods.

## Key Features
### Content Management
Quickly and safely define items, equipment, artifacts, and more.
> See: `ContentPackExtensions`, `ItemExtensions`, `EquipmentExtensions`, etc.

### Asynchronous Framework
Implement simple asynchronous content loading.
> See: `BaseContentPlugin`

### Modular Codebase
Organize your mod into modular components that can be individually managed.
> See: `BaseModule` attribute

### Language
Create formatted and easily translatable language files directly within your project.
> See: `LanguageStrings` attribute

### Miscellaneous Utils
A collection of static and extension methods to handle common operations.
> See: `Ivyl`

### And More!
IVYL is a work-in-progress! Expect improvements over time

## Contact
For questions, suggestions, or feedback, you can find me in the [RoR2 Modding Server](https://discord.gg/5MbXZvd) @Groove_Salad or through the [GitHub](https://github.com/Priscillalala/IvyLibrary)

Even if it's just a documentation typo (*especially* if it's just a documentation typo), don't hesitate to reach out!